Couchbase Lite gives error on doing npm install


#1

I am using ionic-native/couchbase-lite 4.2.1
Installation of couchbase lite with these commands works fine -

$ ionic cordova plugin add couchbase-lite-phonegap-plugin
$ npm install --save @ionic-native/couchbase-lite

but when i run npm install then couchbase lite gives error for installation

so workaround for this issue is to remove couchbase dependencies from package.json and then do npm install and running

$ ionic cordova plugin add couchbase-lite-phonegap-plugin
$ npm install --save @ionic-native/couchbase-lite

these command again,

this needs to be fixed


#2

Out of interest what does couchbase lite do?


#3

it is local database which is available on individual device


#4

D’oh! - the name just did not ring a bell!